#if !defined(AFX_DLGINTELLIGENTTIME_H__7632F442_1DCB_4B97_AA52_BED1F654A80E__INCLUDED_)
#define AFX_DLGINTELLIGENTTIME_H__7632F442_1DCB_4B97_AA52_BED1F654A80E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgIntelligentTime.h : header file
//
#include "DlgWizardSecond.h"
#include "DlgSmartOther.h"
class CDlgSmartOther;
/////////////////////////////////////////////////////////////////////////////
// CDlgSmartTime dialog

class CDlgSmartTime : public CDialog
{
// Construction
public:
	void SetCameraLinkParam(LPCTSTR pDevname,LPCTSTR pUrl,UINT ch,
							UINT port,LPCTSTR pUsername,LPCTSTR pPsw);
	CDlgSmartTime(CWnd* pParent = NULL);   // standard constructor
	void  InitialDlgData();
	BOOL  TimeListIsAllowed(TIMELIST timelist);
	BOOL  UpdateParam();
// Dialog Data
	//{{AFX_DATA(CDlgSmartTime)
	enum { IDD = IDD_DLG_SMALARM };
	BOOL	m_upload_capjpeg;
	BOOL	m_upload_record;
	//}}AFX_DATA
	BOOL	m_bGetContactEx;
public:
	CDlgWizardSecond* m_second;
	CDlgSmartOther* m_fourthway;
	VSNETSMALARMLINK    m_rulelinkinfo;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgSmartTime)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	int         m_ch,m_chs,m_alarmins,m_alarmouts;
	CString     m_sername;
	CString     m_serurl;
	WORD        m_serport;
	CString     m_username,m_password;
	CHANNVAEX		    m_channvaex;
    VSNETALARMCONTACTEX m_channva_contactex;
	// Generated message map functions
	//{{AFX_MSG(CDlgSmartTime)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnBtnCopy1();
	afx_msg void OnBtnGet();
	afx_msg void OnBtnSet();
	afx_msg void OnBtnNext();
	afx_msg void OnBtnPro();
	afx_msg void OnBtnCancel();
	afx_msg void OnClose();
	afx_msg void OnMove(int x, int y);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGINTELLIGENTTIME_H__7632F442_1DCB_4B97_AA52_BED1F654A80E__INCLUDED_)
